<!DOCTYPE html>
<html xmlns:th="http://www.thymeleaf.org" th:lang="${#locale.language}">
<head>
    <meta charset="UTF-8">
    <title th:text="#{title.task}">Task</title>
    <link rel="icon" href="/favicon.ico" type="image/x-icon" />
</head>
<body>
<table border="0" style="width:200px">
    <tbody>
<!--    <tr>-->
<!--        <td th:each="status : ${statuses}">-->
<!--            <form th:action="@{'/' + ${task.id} + '/set-' + ${status.key}(id=${task.id})}">-->
<!--                <button th:text="#{${status.value}}">-->
<!--                    SET <span style="color:#27ae60" th:text="#{${status.value}}"></span>-->
<!--                </button>-->
<!--            </form>-->
<!--        </td>-->
<!--    </tr>-->

    <tr>

        <td>
            <form th:action="@{/{id}/set-planned(id=${task.id})}">
                <button th:text="#{set.planned}">
                    SET <span style="color:#27ae60">PLANNED</span>
                </button>
            </form>
        </td>
        <td>
            <form th:action="@{/{id}/set-work-in-progress(id=${task.id})}">
                <button th:text="#{set.workInProgress}">
                    SET <span style="color:#27ae60">WORK_IN_PROGRESS</span>
                </button>
            </form>
        </td>
        <td>
            <form th:action="@{/{id}/set-postponed(id=${task.id})}">
                <button th:text="#{set.postponed}">
                    SET <span style="color:#27ae60">POSTPONED</span>
                </button>
            </form>
        </td>
        <td>
            <form th:action="@{/{id}/set-notified(id=${task.id})}">
                <button th:text="#{set.notified}">
                    SET <span style="color:#27ae60">NOTIFIED</span>
                </button>
            </form>
        </td>
        <td>
            <form th:action="@{/{id}/set-signed(id=${task.id})}">
                <button th:text="#{set.signed}">
                    SET <span style="color:#27ae60">SIGNED</span>
                </button>
            </form>
        </td>
        <td>
            <form th:action="@{/{id}/set-cansel(id=${task.id})}">
                <button th:text="#{set.cancelled}">
                    SET <span style="color:#27ae60">CANCELLED</span>
                </button>
            </form>
        </td>
        <td>
            <form th:action="@{/{id}/set-done(id=${task.id})}">
                <button th:text="#{set.done}">
                    SET <span style="color:#27ae60">DONE</span>
                </button>
            </form>
        </td>
    </tr>

    <tr>
        <td>
            <form th:action="@{/edit/{id}(id=${task.id})}">
                <button th:text="#{button.edit}">
                    EDIT <img th:src="@{/img/icon-edit.png}" alt="edit"/>
                </button>
            </form>
        </td>
    </tr>
    </tbody>
</table>

<div th:switch="${task}">
    <h2 th:case="null" th:text="#{message.wrongTaskId}">WRONG TASK #ID! TASK NOT FOUND.</h2>
    <div th:case="*">
        <h2>
            <span th:text="#{message.taskId}">TASK ID:</span>
            <a th:text="${task.id}"></a>
            <a></a>

            <span th:switch="${task.status}">
    <span th:case="'PLANNED'" th:text="#{value.PLANNED}" style="color:#d35400">PLANNED</span>
    <span th:case="'WORK_IN_PROGRESS'" th:text="#{value.WORK_IN_PROGRESS}" style="color:#d35400">WORK IN PROGRESS</span>
    <span th:case="'POSTPONED'" th:text="#{value.POSTPONED}" style="color:#d35400">POSTPONED</span>
    <span th:case="'NOTIFIED'" th:text="#{value.NOTIFIED}" style="color:#d35400">NOTIFIED</span>
    <span th:case="'SIGNED'" th:text="#{value.SIGNED}" style="color:#d35400">SIGNED</span>
    <span th:case="'CANCELLED'" th:text="#{value.CANCELLED}" style="color:#d35400">CANCELLED</span>
    <span th:case="'DONE'" th:text="#{value.DONE}" style="color:#27ae60">DONE</span>
</span>


        </h2>

        <p>
            <strong th:text="#{message.name}">NAME: </strong>
            <a th:text="${task.taskName}"></a>
        </p>
        <p>
            <strong th:text="#{message.description}">DESCRIPTION: </strong>
            <a th:text="${task.taskDescription}"></a>
        </p>
        <p>
            <strong th:text="#{message.createDate}">CREATE DATE: </strong>
            <a th:text="${task.createDate}"></a>
        </p>
        <p>
            <strong th:text="#{message.deadlineDate}">DEADLINE DATE: </strong>
            <a th:text="${task.deadlineDate}"></a>
        </p>
    </div>
</div>

<div>
    <table style="width:200px">
        <tr>
            <td>
                <form th:action="@{/del/{id}(id=${task.id})}">
                    <button th:text="#{button.delete}">DELETE</button>
                </form>
            </td>
            <td>
                <form th:action="@{/}">
                    <button th:text="#{button.backMainMenu}">BACK MAIN MENU</button>
                </form>
            </td>
        </tr>
    </table>
</div>

<div>
    <a th:href="@{'?locale=en'}">EN</a>
    <a th:href="@{'?locale=uk'}">UA</a>
</div>
</body>
</html>
